Activity log for bug #1484281

Date Who What changed Old value New value Message
2015-08-12 21:39:45 Yamil bug added bug
2015-08-12 21:40:06 Yamil description title: authority data may be deleted during propagation with current values of authority.control_set_authority_field Since subfield $e in bib tags 100/110/600/610/700/710 is no longer being used for auth linking through authority_control_fields.pl.in, but we currently left it $e in authority.control_set_authority_field rows for tag 100 (etc.), then the $e will be removed in the bib side during future authority propagation. That is not a desired outcome. New values need to be set for Open-ILS/src/sql/Pg/950.data.seed-values.sql as well as an upgrade script. Also a pgTAP test. Note: this bug was discovered through working on LP bug 1465830: presence of relator terms or codes in $e or $4 can prevent authority headings linking https://bugs.launchpad.net/evergreen/+bug/1465830 Since subfield $e in bib tags 100/110/600/610/700/710 is no longer being used for auth linking through authority_control_fields.pl.in, but we currently left it $e in authority.control_set_authority_field rows for tag 100 (etc.), then the $e will be removed in the bib side during future authority propagation. That is not a desired outcome. New values need to be set for Open-ILS/src/sql/Pg/950.data.seed-values.sql  as well as an upgrade script. Also a pgTAP test. Note: this bug was discovered through working on LP bug 1465830: presence of relator terms or codes in $e or $4 can prevent authority headings linking https://bugs.launchpad.net/evergreen/+bug/1465830
2015-08-13 12:34:45 Tony Bandy bug added subscriber Tony Bandy
2015-08-13 13:20:03 Chris Owens bug added subscriber Chris Owens
2015-08-20 15:53:39 Remington Steed evergreen: importance Undecided High
2015-08-20 15:53:50 Remington Steed evergreen: milestone 2.9-rc
2015-08-20 15:54:02 Remington Steed evergreen: status New Confirmed
2015-08-20 15:57:44 Remington Steed evergreen: importance High Critical
2015-08-20 15:59:35 Yamil evergreen: assignee Yamil (ysuarez)
2015-09-02 13:19:06 Jason Stephenson evergreen: assignee Yamil (ysuarez) Jason Stephenson (jstephenson)
2015-09-02 13:32:06 Jason Stephenson nominated for series evergreen/2.7
2015-09-02 13:32:06 Jason Stephenson bug task added evergreen/2.7
2015-09-02 13:32:06 Jason Stephenson nominated for series evergreen/2.8
2015-09-02 13:32:06 Jason Stephenson bug task added evergreen/2.8
2015-09-02 13:32:13 Jason Stephenson evergreen/2.7: status New Confirmed
2015-09-02 13:32:19 Jason Stephenson evergreen/2.8: status New Confirmed
2015-09-02 13:32:23 Jason Stephenson evergreen/2.7: importance Undecided Critical
2015-09-02 13:32:27 Jason Stephenson evergreen/2.8: importance Undecided Critical
2015-09-02 13:32:32 Jason Stephenson evergreen/2.7: milestone 2.7.8
2015-09-02 13:32:35 Jason Stephenson evergreen/2.8: milestone 2.8.4
2015-09-02 16:32:00 Jason Stephenson evergreen: status Confirmed Fix Committed
2015-09-02 16:32:05 Jason Stephenson evergreen/2.7: status Confirmed Fix Committed
2015-09-02 16:32:07 Jason Stephenson evergreen/2.8: status Confirmed Fix Committed
2015-09-02 16:40:54 Jason Stephenson evergreen: assignee Jason Stephenson (jstephenson)
2015-09-02 22:27:51 Evergreen Bug Maintenance evergreen: status Fix Committed Fix Released
2015-09-17 14:56:54 Evergreen Bug Maintenance evergreen/2.7: status Fix Committed Fix Released
2015-09-17 14:56:59 Evergreen Bug Maintenance evergreen/2.8: status Fix Committed Fix Released